/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseButtonFoundation, IBaseButtonFoundation } from '../button/base/base-button-foundation';
import { ButtonTheme } from '../button/button-constants';
import { IFloatingActionButtonAdapter } from './floating-action-button-adapter';
import { FloatingActionButtonDensity, FloatingActionButtonElevation } from './floating-action-button-constants';
export interface IFloatingActionButtonFoundation extends IBaseButtonFoundation {
    theme: ButtonTheme;
    density: FloatingActionButtonDensity;
    elevation: FloatingActionButtonElevation;
}
export declare class FloatingActionButtonFoundation extends BaseButtonFoundation<IFloatingActionButtonAdapter> implements IFloatingActionButtonFoundation {
    private _theme;
    private _density;
    private _elevation;
    constructor(adapter: IFloatingActionButtonAdapter);
    destroy(): void;
    get theme(): ButtonTheme;
    set theme(value: ButtonTheme);
    get density(): FloatingActionButtonDensity;
    set density(value: FloatingActionButtonDensity);
    get elevation(): FloatingActionButtonElevation;
    set elevation(value: FloatingActionButtonElevation);
}
